Skip to main content
GET
/
v1
/
conversions
/
{id}
Get a conversion by id
curl --request GET \
  --url https://api.example.com/v1/conversions/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/conversions/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/conversions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "<string>",
  "fee": "0.0000",
  "feeCurrency": "USD",
  "id": "uuid",
  "rate": "1.09860000",
  "sourceAmount": "500.0000",
  "sourceCurrency": "USD",
  "status": "completed",
  "targetAmount": "455.1200",
  "targetCurrency": "EUR"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Path Parameters

id
string
required

Response

The conversion.

createdAt
string
required

Created at (ISO 8601)

fee
string
required

Fixed fee charged, in feeCurrency. Always 0 for conversions created after fixed fees were retired from converts.

Example:

"0.0000"

feeCurrency
string
required

Fee currency

Example:

"USD"

id
string
required

Conversion id

Example:

"uuid"

rate
string
required

All-in rate applied: source units per 1 target unit

Example:

"1.09860000"

sourceAmount
string
required

Debited from the source balance

Example:

"500.0000"

sourceCurrency
string
required

Source currency

Example:

"USD"

status
enum<string>
required

Terminal status

Available options:
completed,
failed
Example:

"completed"

targetAmount
string
required

Credited to the target balance

Example:

"455.1200"

targetCurrency
string
required

Target currency

Example:

"EUR"